[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomStringGrid.OnCellProcess

Event handler signalled when copying or pasting content for Cells in the grid.

## Declaration

Source position: grids.pas line 1799

`protected property TCustomStringGrid.OnCellProcess : TCellProcessEvent read fOnCellProcess write fOnCellProcess;`

## Description

Allows the textual value for the clipboard operation (not the HTML interchange data) to be changed before it is applied. Signalled from the DoCellProcess method when assigned.